unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, DB, ADODB, ExtCtrls, DBCtrls, Grids, DBGrids, StdCtrls, sLabel,
  sPanel, sDBNavigator, sSkinManager;

type
  TForm1 = class(TForm)
    DataSource1: TDataSource;
    DataSource2: TDataSource;
    ADOConnection1: TADOConnection;
    DBGrid1: TDBGrid;
    ADOTable3: TADOTable;
    ADOTable4: TADOTable;
    sDBNavigator2: TsDBNavigator;
    sLabel1: TsLabel;
    ADOTable1: TADOTable;
    DataSource3: TDataSource;
    procedure FormActivate(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.FormActivate(Sender: TObject);
begin
{Form1.ADOTable1.First;
DBGrid1.Columns[0].Title.Caption:='Номер';
DBGrid1.Columns[0].Width:=50;
DBGrid1.Columns[1].Title.Caption:='Номер ветки';
DBGrid1.Columns[1].Width:=80;
DBGrid1.Columns[2].Title.Caption:='Название раздела';
DBGrid1.Columns[2].Width:=280;
DBGrid1.Columns[3].Title.Caption:='Относительный путь';
DBGrid1.Columns[3].Width:=230;

Form1.ADOTable2.First;
DBGrid2.Columns[0].Title.Caption:='Номер';
DBGrid2.Columns[0].Width:=50;
DBGrid2.Columns[1].Title.Caption:='Номер ветки';
DBGrid2.Columns[1].Width:=80;
DBGrid2.Columns[2].Title.Caption:='Название раздела';
DBGrid2.Columns[2].Width:=280;
DBGrid2.Columns[3].Title.Caption:='Относительный путь';
DBGrid2.Columns[3].Width:=230;    }
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
sSkinManager1.SkinDirectory:=ExtractFilePath(Application.ExeName)+'\'; {тоесть скин должен лежать в корневой директории, и тд}
sSkinManager1.Active:=true;
ADOConnection1.Connected:=False;
ADOConnection1.ConnectionString:='Provider=Microsoft.Jet.OLEDB.4.0;Data Source=C:\Учебник\MDB.mdb;Persist Security Info=False';
ADOConnection1.Connected:=True;
ADOTable3.Active:=True;
ADOTable4.Active:=True;
ADOTable1.Active:=True;
end;

end.
